Part Ellipse/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{UnfinishedDocu{{#translation:}}}}
{{Docnav
|[[Part_Circle|Circle]]
|[[Part_Point|Point]]
|[[Part_Workbench|Part]]
|IconL=Part_Circle.svg
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr
Line 6: Line 15:
|Name/tr=Parça Elips
|Name/tr=Parça Elips
|MenuLocation=Parça → [[Part_CreatePrimitives|Temel geometrik şekil oluştur]] → Elips
|MenuLocation=Parça → [[Part_CreatePrimitives|Temel geometrik şekil oluştur]] → Elips
|Workbenches=[[Part Module/tr|Parça]], [[OpenSCAD_Module/tr|OpenSCAD]]
|Workbenches=[[Part_Workbench/tr|Parça]], [[OpenSCAD_Workbench/tr|OpenSCAD]]
|SeeAlso=..
|SeeAlso=..
}}
}}
Line 15: Line 24:
</div>
</div>


<div class="mw-translate-fuzzy">
Bu komut eliptik bir kavisli kenar oluşturacaktır. Varsayılan değerlerle, eliptik kavisli kenar kapatılacak ve bu nedenle bir elips olacaktır. Açı 1 veya Açı 2 özellikleri varsayılan değerlerinden (0 ve 360) değiştirilirse, kenar açık bir eğri olur.
Bu komut eliptik bir kavisli kenar oluşturacaktır. Varsayılan değerlerle, eliptik kavisli kenar kapatılacak ve bu nedenle bir elips olacaktır. Açı 1 veya Açı 2 özellikleri varsayılan değerlerinden (0 ve 360) değiştirilirse, kenar açık bir eğri olur.
</div>

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.

[[Image:Part_Ellipse_Example.png|400px]]


== Usage ==
== Usage ==


See [[Part_Primitives#Usage|Part Primitives]].
<div class="mw-translate-fuzzy">
Temel Geometrik şekil oluştur diyalog penceresine, Parça menüsünde veya Parça Tezgahında bulunan Parça menüsünde [[Part_CreatePrimitives/tr| Temel geometrik şekil oluştur]] ikonu [[Image: Part_CreatePrimitives.png | 32px]] üzerinden erişilebilir.
</div>


== Example ==


[[Image:Part_Ellipse_Scripting_Example.png|thumb|Part Ellipse from the scripting example]]
== Özellikler ==
* '''Ana yarıçap:''' elipsin ana yarıçapı, varsayılan değer 4
* '''Küçük yarıçap:''' elipsin küçük yarıçapı, varsayılan değer 2
* '''Açı 1:''' elipsin kenarının başlangıcı veya eliptik eğri kenarları (saat yönünün tersine derece), varsayılan değer 0
* '''Açı 2:''' elipsin kenarının sonu veya eliptik kavisli kenar, (saat yönünün tersine derece), varsayılan değer 360


A Part Ellipse object created with the [[#Scripting|scripting example]] below is shown here.
{{clear}}


== Properties ==
{{Part Tools navi{{#translation:}}}}

See also: [[Property_editor|Property editor]].

A Part Ellipse object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|MajorRadius|Length}}: The major radius of the ellipse or elliptical arc. The default is {{Value|4mm}}.
* {{PropertyData|MinorRadius|Length}}: The minor radius of the ellipse or elliptical arc. The default is {{Value|2mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|0°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If {{PropertyData|Angle1}} and {{PropertyData|Angle2}} are equal, or if one angle is {{Value|0°}} and the other {{Value|360°}}, a full ellipse is created.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipse can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
}}

* Where {{Incode|"myEllipse"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav
|[[Part_Circle|Circle]]
|[[Part_Point|Point]]
|[[Part_Workbench|Part]]
|IconL=Part_Circle.svg
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:26, 3 March 2022

Parça Elips

Menü konumu
Parça → Temel geometrik şekil oluştur → Elips
Tezgahlar
Parça, OpenSCAD
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
..

== Açıklama == Bir elips geometrik şekli, Parça tezgahındaki Temel geometrik şekil oluştur iletişim kutusundan edinilebilir.

Bu komut eliptik bir kavisli kenar oluşturacaktır. Varsayılan değerlerle, eliptik kavisli kenar kapatılacak ve bu nedenle bir elips olacaktır. Açı 1 veya Açı 2 özellikleri varsayılan değerlerinden (0 ve 360) değiştirilirse, kenar açık bir eğri olur.

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its VeriAngle1 and/or VeriAngle2 properties.

Usage

See Part Primitives.

Example

Part Ellipse from the scripting example

A Part Ellipse object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • VeriMajorRadius (Length): The major radius of the ellipse or elliptical arc. The default is 4mm.
  • VeriMinorRadius (Length): The minor radius of the ellipse or elliptical arc. The default is 2mm.
  • VeriAngle1 (Angle): The start angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is .
  • VeriAngle2 (Angle): The end angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is 360°. If VeriAngle1 and VeriAngle2 are equal, or if one angle is and the other 360°, a full ellipse is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipse can be created with the addObject() method of the document:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()